%define upstream_name    IO-Interactive-Tiny
%define upstream_version 0.2

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    IO::Interactive::Tiny - is_interactive() without large deps
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)

# Don't provide private perl libs
%{?perl_default_filter}

BuildArch:  noarch

%description
IO::Interactive::Tiny - is_interactive() without large deps

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
#%doc Changes META.yml MYMETA.yml README example
%{_mandir}/man3/*
%perl_vendorlib/IO/Interactive


%changelog
* Sun Mar 20 2022 umeabot <umeabot> 0.200.0-8.mga9
+ Revision: 1809493
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.200.0-7.mga8
+ Revision: 1504789
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.200.0-6.mga7
+ Revision: 1284297
- Mageia 7 Mass Rebuild

* Sun Jul 23 2017 neoclust <neoclust> 0.200.0-5.mga7
+ Revision: 1129129
- imported package perl-IO-Interactive-Tiny

